Bug 76354 - need root access to /dev/dsp for 'realtime priority' to avoid skips
need root access to /dev/dsp for 'realtime priority' to avoid skips
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-20 15:11 EDT by das_deniz
Modified: 2014-03-16 22:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-21 14:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description das_deniz 2002-10-20 15:11:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
xmms skips like a ... well it skips alot on my system (and it didn't do this so
much under 7.3) and i cannot seem to get the 'Use realtime priority when
available' option (under the Preferences 'Options' tab) to work.

/dev/dsp and /dev/ have 600 permissions for owner <user>:root
and even if i 660 these and suid xmms (4755) xmms skips like a ... -- well you
get the idea.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. launch xmms on a PII 333 MHz machine (or something 4 years old)
2. play a song, say off the harddrive...
3. move a window around to cause the screen to redraw and xmms to skip
	

Actual Results:  xmms skips like crazy

Expected Results:  smooth audio output as with 7.3 and previous.
use realtime priority should be a workable option

Additional info:
Comment 1 Bill Nottingham 2002-10-21 00:34:48 EDT
realtime priority is not really a supported option, as making xmms setuid would
be a security nightmare.
Comment 2 Bill Nottingham 2002-10-21 00:35:41 EDT
Are you using a different window manager or desktop than you did under 7.3? What
graphics hardware are you using?
Comment 3 das_deniz 2002-10-21 12:36:25 EDT
very good point sir - the hardware is identical to my 7.3 experience:

SuperMicro P6DLS (intel 440LX w/ adaptec 7880 UW SCSI)
Dual PII 333 MHz w/ 512 MB RAM
Diamond Stealth 3D 2000 PRO (Virge DX) with 4 MB RAM
3 IDE hard drives and 2 SCSI cdroms

BUT the window manager is the 8.0 default - 'metacity' right ? 
and in 7.3 I was using the default - 'sawfish' 

sawfish had an option to disable 'update window contents while moving' or
something like that - and this is obviously what's kicking my but.

so, i guess, close this as a WONTFIX (realtime thingy)

PS 
incase anyone else is looking to do this
or you can point out a better way to change window managers in 8.0/gnome 2.0

install librep, rep-gtk, and sawfish off 8.0 release
(where's the sawfish bluecurve theme?) then go thru the menu
redhat->extras->preferences->sessions and click the 'current session' tab 
find metacity and make it 'style' 'normal' so it doesn't respawn and 'apply'
then at a prompt: pkill metacity | sleep 3 | nohup sawfish &
then run 'gnome-session-save'

after all this - there is no expert level of configuration in sawfish2
so the previously mentioned 'update while moving' option is not available
to turn off. 

grrrrrr so many customizations removed with gnome2.... ah well.

Comment 4 Miloslav Trmac 2002-10-21 14:17:12 EDT
Isn't that a result of the "renice X to -10" feature?
Happens for me too, Duron 750, via 686b AC97.
Comment 5 Bill Nottingham 2002-10-22 14:47:20 EDT
Closing as WONTFIX for the realtime issue in xmms

Note You need to log in before you can comment on or make changes to this bug.